When you create a new webhook, we’ll send you a simple ping event to let you know you’ve set up the webhook correctly. You can trigger a ping again by calling the ping endpoint.
In order for Dintero to send webhook payloads, your server needs to be accessible from the Internet. We also highly suggest using SSL so that we can send encrypted payloads over HTTPS.
Your webhook acknowledges that it received data by sending a 200 OK response. Any response outside of the 200 range will let Dintero know that you did not receive your webhook, including 301 Redirect. Dintero does not follow redirects for webhook notifications and will consider a redirection as an error response.
Dintero has implemented a 60-second timeout period and a retry period for subscriptions. We wait 120 seconds for a response to each request, and if there isn’t one or we get an error, we retry the connection to a total of 5 times. A webhook will be deleted if there are consecutive failures for the exact same webhook. You should monitor the admin of your webhook tool for failing webhooks.
Dintero will send along several HTTP headers to differentiate between event types and payload identifiers.
| Name | Description |
|---|---|
| event | The event type |
| event-delivery | A guid to indentify the payload and event being sent |
| event-signature | The value of this header is computed as the HMAC SHA1 hex digest of the body, using the secret config option as the key. |
scopes:
Documentation Index
Fetch the complete documentation index at: https://docs.dintero.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication (token authentication) should be used for accessing the API.
Use Get Token to get an access token for client credentials. Pass the token in the request header:
Authorization: Bearer {access_token}where the access_token is JSON Web Tokens (JWT).
An id that uniquely identifies the account.
9subscription configuration
Configuration for a webhook
account_add, account_update, account_store_add, account_store_update, account_store_delete, receipt_add, receipt_update, customer_add, customer_update, customer_delete, customer_change_password, token_add, token_remove, transaction, wallet_transaction, discount_add, discount_update, discount_delete, discount_add_customers, discount_customer_update, shopping_draft_add, shopping_draft_update, shopping_draft_complete, shopping_order_update, shopping_order_event_add, shopping_order_delete, settlement_add, location_add, location_delete, location_update, cdd_case_update, approval_payout_destination_update, approval_payout_destination_delete, checkout_authorization, checkout_transaction, checkout_token_add, checkout_token_update, checkout_token_delete Determines whether the hook is actually triggered.
Limit the event data included in the delivery
The syntax is loosely based on XPath:
"account(partner_id,account_id,created_at)"
Limit the event data included in the delivery
50["customer_ip", "billing_address"]Subscription created
Configuration for a webhook
account_add, account_update, account_store_add, account_store_update, account_store_delete, receipt_add, receipt_update, customer_add, customer_update, customer_delete, customer_change_password, token_add, token_remove, transaction, wallet_transaction, discount_add, discount_update, discount_delete, discount_add_customers, discount_customer_update, shopping_draft_add, shopping_draft_update, shopping_draft_complete, shopping_order_update, shopping_order_event_add, shopping_order_delete, settlement_add, location_add, location_delete, location_update, cdd_case_update, approval_payout_destination_update, approval_payout_destination_delete, checkout_authorization, checkout_transaction, checkout_token_add, checkout_token_update, checkout_token_delete An UUID that uniquely identifies the resource
The date-time when the resource was created
The ID of the user/client created the resource
"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"
The date-time when the resource was last updated
The ID of the user/client created the resource
"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"
Determines whether the hook is actually triggered.
Limit the event data included in the delivery
The syntax is loosely based on XPath:
"account(partner_id,account_id,created_at)"
Limit the event data included in the delivery
50["customer_ip", "billing_address"]